3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php if (version_compare(PHP_VERSION, '7.0', '>=') || defined('HHVM_VERSION')) { declare(strict_types=1); function foo(int $foo) { echo $foo; } foo(1); foo('hi'); }
based on YEDqL
Output for 7.0.0
Fatal error: strict_types declaration must be the very first statement in the script in /in/VWZBk on line 4
Process exited with code 255.
Output for 5.3.20 - 5.6.28
Warning: Unsupported declare 'strict_types' in /in/VWZBk on line 4